#import "../../Fragments/System.graphql"
#import "../../Fragments/Blocks/Essentials.graphql"

query GetCampaignPage($locale: String!, $uid: String!) {
  campaign_page(uid: $uid, locale: $locale) {
    title
    campaign_identifier
    heading
    subheading
    preamble {
      is_two_columns
      first_column
      second_column
    }
    blocks {
      __typename
      ...Essentials_CampaignPage
    }
    system {
      ...System
      created_at
      updated_at
    }
  }
  trackingProps: campaign_page(locale: "en", uid: $uid) {
    url
  }
}

query GetCampaignPageRefs($locale: String!, $uid: String!) {
  campaign_page(locale: $locale, uid: $uid) {
    system {
      ...System
    }
  }
}

query GetDaDeEnUrlsCampaignPage($uid: String!) {
  de: campaign_page(locale: "de", uid: $uid) {
    url
  }
  en: campaign_page(locale: "en", uid: $uid) {
    url
  }
  da: campaign_page(locale: "da", uid: $uid) {
    url
  }
}

query GetFiNoSvUrlsCampaignPage($uid: String!) {
  fi: campaign_page(locale: "fi", uid: $uid) {
    url
  }
  no: campaign_page(locale: "no", uid: $uid) {
    url
  }
  sv: campaign_page(locale: "sv", uid: $uid) {
    url
  }
}
